from django import forms

from aircox import models


__all__ = (
    "SoundForm",
    "SoundCreateForm",
)


class SoundForm(forms.ModelForm):
    """SoundForm used in EpisodeUpdateView."""

    class Meta:
        model = models.Sound
        fields = ["name", "program", "file", "broadcast", "duration", "is_public", "is_downloadable"]


class SoundCreateForm(forms.ModelForm):
    """SoundForm used in EpisodeUpdateView."""

    class Meta:
        model = models.Sound
        fields = ["name", "program", "file", "broadcast", "is_public", "is_downloadable"]
        widgets = {"program": forms.HiddenInput()}
