from django.utils.translation import gettext_lazy as _

from .page import ChildPage
from .program import ProgramChildQuerySet

__all__ = ("Article",)


class Article(ChildPage):
    detail_url_name = "article-detail"
    template_prefix = "article"

    objects = ProgramChildQuerySet.as_manager()

    class Meta:
        verbose_name = _("Article")
        verbose_name_plural = _("Articles")
